Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.wml.dom
Class WMLDOMImplementationImpl

    java.lang.Object
      weblogic.apache.xerces.dom.CoreDOMImplementationImpl
          weblogic.apache.xerces.dom.DOMImplementationImpl
              weblogic.apache.wml.dom.WMLDOMImplementationImpl

All Implemented Interfaces:
  DOMImplementation, DOMImplementationLS, WMLDOMImplementation

Deprecated. 9.2.0.0 Replaced by org.apache.wml.dom.WMLDOMImplementationImpl.

    public class WMLDOMImplementationImpl

extends DOMImplementationImpl
implements WMLDOMImplementation

Field Summary

Fields inherited from interface org.w3c.dom.ls.DOMImplementationLS
`MODE_ASYNCHRONOUS, MODE_SYNCHRONOUS`

Constructor Summary
`WMLDOMImplementationImpl()` Deprecated.

Method Summary
`Document` | `createDocument(String namespaceURI, String qualifiedName, DocumentType doctype)` Deprecated. Introduced in DOM Level 2.
`static DOMImplementation` | `getDOMImplementation()` Deprecated. NON-DOM: Obtain and return the single shared object

Methods inherited from class weblogic.apache.xerces.dom.DOMImplementationImpl
`createDocumentType, hasFeature`

Methods inherited from class weblogic.apache.xerces.dom.CoreDOMImplementationImpl
`createDOMBuilder, createDOMInputSource, createDOMWriter, getInterface`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.DOMImplementation
`createDocumentType, getFeature, hasFeature`

Methods inherited from interface org.w3c.dom.ls.DOMImplementationLS
`createLSInput, createLSOutput, createLSParser, createLSSerializer`

Constructor Detail

### WMLDOMImplementationImpl

    public WMLDOMImplementationImpl()

  Deprecated.

Method Detail

### getDOMImplementation

    public static DOMImplementation getDOMImplementation()

  Deprecated.
  NON-DOM: Obtain and return the single shared object

### createDocument

    public Document createDocument(String namespaceURI,
                                   String qualifiedName,
                                   DocumentType doctype)
                            throws DOMException

  Deprecated.
  Description copied from class: `DOMImplementationImpl`
  Introduced in DOM Level 2.

  Creates an XML Document object of the specified type with its document element.

  Specified by:
    `createDocument` in interface `DOMImplementation`
  Overrides:
    `createDocument` in class `DOMImplementationImpl`
  Parameters:
    `namespaceURI` - The namespace URI of the document element to create, or null.
    `qualifiedName` - The qualified name of the document element to create.
    `doctype` - The type of document to be created or null.

    When doctype is not null, its Node.ownerDocument attribute is set to the document being created.

  Returns:
    Document A new Document object.
  Throws:
    `DOMException` - WRONG_DOCUMENT_ERR: Raised if doctype has already been used with a different document.
  See Also:
    `DOMImplementation`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD